require 'spec_helper'


describe MapCrawler do
  let(:subject) { MapCrawler.new(Setting.map(:base_url)) }

  describe 'when crawling for actual maps', :integration => true do
    before(:each) do
      Map.destroy_all
    end

    it 'should create Map entries for each map found' do
      expect { subject.crawl }.to change{ Map.count }.by_at_least(1)
    end
  end
end
